aboutsummaryrefslogtreecommitdiff
path: root/ci/install
diff options
context:
space:
mode:
Diffstat (limited to 'ci/install')
-rwxr-xr-xci/install18
1 files changed, 18 insertions, 0 deletions
diff --git a/ci/install b/ci/install
new file mode 100755
index 000000000000..b53ac2957546
--- /dev/null
+++ b/ci/install
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# Install packages for integration tests.
+#
+# This script is normally run via sudo in a test container or VM, such as via
+# GitHub Actions.
+#
+# Copyright 2015-2021 Russ Allbery <eagle@eyrie.org>
+#
+# SPDX-License-Identifier: MIT
+
+set -eux
+
+# Install distribution packages.
+apt-get update -qq
+apt-get install aspell autoconf automake cppcheck heimdal-multidev \
+ krb5-config libkrb5-dev libpam0g-dev libtest-pod-perl \
+ libtest-spelling-perl libtool perl valgrind